For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a URL redirect rule for a site

Updates an existing redirect rule for a site. Only provided fields are updated.

Available in MCP
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteRedirectIdstringRequired

The unique id of the site redirect

Body
sourcestring · max: 512Optional

The source path to redirect from.

Pattern: ^\/(?!\*)(?!.*\*.+)(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+(?:\/(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+)*(?:\/\*|\*)?$
captureWildcardbooleanOptional

Capture and append the wildcard-matched suffix to the destination URL.

draftbooleanOptional

When true, it can be used to promote a draft redirect to live.

destinationone ofOptional
or
or
or
Responses
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The unique identifier for the redirect.

sourcestring · max: 512Required

The source path to redirect from.

Pattern: ^\/(?!\*)(?!.*\*.+)(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+(?:\/(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+)*(?:\/\*|\*)?$
draftbooleanRequired

Whether the redirect is draft and not live.

captureWildcardbooleanRequired

Capture and append the wildcard-matched suffix to the destination URL.

destinationone ofRequired
or
or
or
patch/orgs/{organizationId}/sites/{siteId}/redirects/{siteRedirectId}
200

OK

Last updated

Was this helpful?